Subject: bug#30437: No “.guix-profile/bin/python” after ‘guix package -i python’

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 12 Feb 2018 18:23:07 +0100

Hi Mathieu,

On Mon, 12 Feb 2018 17:52:41 +0100
Mathieu Lirzin <[email-masked]> wrote:

> I think it would work better if when installing python@3, a ‘python’
> executable would be available in the PATH.  Maybe there is a technical
> reason for not doing so, but I find its absence rather confusing.

For backward compatibility, the 'python' executable always has to be Python 2.

A lot of old scripts specify just "/usr/bin/env python" in the shebang.

On the other hand if your script supports Python 3 you know it.